POST api/webhook/line

Request Information

URI Parameters

None.

Body Parameters

LineWebhookRequest
NameDescriptionTypeAdditional information
events

Collection of LineWebhookEvents

None.

Request Formats

application/json, text/json

Sample:
{
  "events": [
    {
      "replyToken": "sample string 1",
      "type": "sample string 2",
      "timestamp": 3,
      "source": {
        "type": "sample string 1",
        "userId": "sample string 2",
        "groupId": "sample string 3",
        "roomId": "sample string 4"
      },
      "message": {
        "id": "sample string 1",
        "type": "sample string 2",
        "text": "sample string 3"
      }
    },
    {
      "replyToken": "sample string 1",
      "type": "sample string 2",
      "timestamp": 3,
      "source": {
        "type": "sample string 1",
        "userId": "sample string 2",
        "groupId": "sample string 3",
        "roomId": "sample string 4"
      },
      "message": {
        "id": "sample string 1",
        "type": "sample string 2",
        "text": "sample string 3"
      }
    }
  ]
}

application/xml, text/xml

Sample:
<LineWebhookRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ViewModel.Webhook">
  <events>
    <LineWebhookEvents>
      <message>
        <id>sample string 1</id>
        <text>sample string 3</text>
        <type>sample string 2</type>
      </message>
      <replyToken>sample string 1</replyToken>
      <source>
        <groupId>sample string 3</groupId>
        <roomId>sample string 4</roomId>
        <type>sample string 1</type>
        <userId>sample string 2</userId>
      </source>
      <timestamp>3</timestamp>
      <type>sample string 2</type>
    </LineWebhookEvents>
    <LineWebhookEvents>
      <message>
        <id>sample string 1</id>
        <text>sample string 3</text>
        <type>sample string 2</type>
      </message>
      <replyToken>sample string 1</replyToken>
      <source>
        <groupId>sample string 3</groupId>
        <roomId>sample string 4</roomId>
        <type>sample string 1</type>
        <userId>sample string 2</userId>
      </source>
      <timestamp>3</timestamp>
      <type>sample string 2</type>
    </LineWebhookEvents>
  </events>
</LineWebhookRequest>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.